> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Current employee's today: status, timeline, shift, stats

> Current employee's today: status, timeline, shift, stats



## OpenAPI

````yaml /api-reference/openapi.json get /api/attendance/today
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/attendance/today:
    get:
      tags:
        - Attendance
      summary: 'Current employee''s today: status, timeline, shift, stats'
      description: 'Current employee''s today: status, timeline, shift, stats'
      operationId: getApiAttendanceToday
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  date:
                    type: string
                  employeeName:
                    type: string
                  firstName:
                    type: string
                  checkedIn:
                    type: boolean
                  sinceIso:
                    anyOf:
                      - type: string
                      - type: 'null'
                  elapsedMinutes:
                    anyOf:
                      - type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      - type: 'null'
                  shift:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            anyOf:
                              - type: string
                                enum:
                                  - G
                                  - M
                                  - E
                                  - 'N'
                                  - F
                              - type: 'null'
                          name:
                            type: string
                          startTime:
                            type: string
                          endTime:
                            type: string
                          startMin:
                            anyOf:
                              - type: integer
                                minimum: -9007199254740991
                                maximum: 9007199254740991
                              - type: 'null'
                          endMin:
                            anyOf:
                              - type: integer
                                minimum: -9007199254740991
                                maximum: 9007199254740991
                              - type: 'null'
                          gracePeriodMinutes:
                            type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          unpaidBreakMinutes:
                            type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                        required:
                          - code
                          - name
                          - startTime
                          - endTime
                          - startMin
                          - endMin
                          - gracePeriodMinutes
                          - unpaidBreakMinutes
                      - type: 'null'
                  location:
                    anyOf:
                      - type: object
                        properties:
                          id:
                            anyOf:
                              - type: string
                                format: uuid
                                pattern: >-
                                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                              - type: 'null'
                          name:
                            anyOf:
                              - type: string
                              - type: 'null'
                          geofenceLat:
                            anyOf:
                              - type: number
                              - type: 'null'
                          geofenceLng:
                            anyOf:
                              - type: number
                              - type: 'null'
                          geofenceRadiusM:
                            anyOf:
                              - type: integer
                                minimum: -9007199254740991
                                maximum: 9007199254740991
                              - type: 'null'
                        required:
                          - id
                          - name
                          - geofenceLat
                          - geofenceLng
                          - geofenceRadiusM
                      - type: 'null'
                  geofenceStatus:
                    type: string
                    enum:
                      - Inside
                      - Outside
                      - Pending
                  timeline:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        timestamp:
                          type: string
                        direction:
                          type: string
                          enum:
                            - IN
                            - OUT
                        source:
                          type: string
                          enum:
                            - MobileGPS
                            - SelfieGPS
                            - Biometric
                            - Web
                        geofenceStatus:
                          type: string
                          enum:
                            - Inside
                            - Outside
                            - Pending
                        status:
                          type: string
                          enum:
                            - Approved
                            - Pending
                            - Rejected
                        label:
                          type: string
                        verified:
                          type: boolean
                      required:
                        - id
                        - timestamp
                        - direction
                        - source
                        - geofenceStatus
                        - status
                        - label
                        - verified
                  dailyStatus:
                    anyOf:
                      - type: string
                        enum:
                          - Present
                          - Absent
                          - Leave
                          - Half
                          - WeeklyOff
                          - Holiday
                      - type: 'null'
                  lateMinutes:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  workedMinutes:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  stats:
                    type: object
                    properties:
                      weekWorkedMinutes:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      leaveBalanceDays:
                        type: number
                      lastPayLabel:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - weekWorkedMinutes
                      - leaveBalanceDays
                      - lastPayLabel
                required:
                  - date
                  - employeeName
                  - firstName
                  - checkedIn
                  - sinceIso
                  - elapsedMinutes
                  - shift
                  - location
                  - geofenceStatus
                  - timeline
                  - dailyStatus
                  - lateMinutes
                  - workedMinutes
                  - stats
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````